专职C++

不能停止的脚步

  C++博客 :: 首页 :: 联系 :: 聚合  :: 管理
  156 Posts :: 7 Stories :: 135 Comments :: 0 Trackbacks

常用链接

留言簿(13)

我参与的团队

搜索

  •  

最新评论

阅读排行榜

评论排行榜

首先吐曹一下,baidu,就是什么都找不到.虽然被医院事件整改了,但是搜索结果还是一如既往的2.
后来没办法,只有想办法访问香港的google,一下子就找到解决问题了.
因为ipv6的问题,看看到cocos3.11发布了,就想试用一下,结果没有对应的cocostduio可以用,触控脑子进水了,把cocostudio停止开发了,只搞cocos creator,也就是cocostudio的版本到3.10就截止了.
注意事项:
使用进行之前,请先保存有装好vs2013,ant,ndk r10e,android sdk,还有python要2.7.6或以上.
在写这个文章的时候,cocos2dx 3.12发布了.还没有尝试,估计过程差不多.

下面链接是原文解决办法:

在Cocos 3.10中使用cocos2d-x 3.11新建项目

原文:

cocos2d-x 3.11 已经发布,通过以下操作,可以让Cocos 3.10识别并使用cocos2d-x 3.11

  1. 下载cocos2d-x 3.114并解压,解压后的文件夹放在如下目录中:
    OS X : /Applications/Cocos/Cocos2d-x/
    Windows: C:\Cocos\Cocos2d-x\

  2. 打开Cocos 3.10,若未检测到cocos2d-x 3.11,需检查FrameworkVersionList.xml, 该文件位于
    OS X: ~/Library/Application Support/Cocos/CocosStudio2/Framework/
    Windows: C:\Users\[username]\Documents\Cocos\CocosStudio2\Framework\

     <CocosStudio Version="3.10">     <Framework Version="cocos2d-x-3.4" />     <Framework Version="cocos2d-x-3.5" />     <Framework Version="cocos2d-x-3.6" />     <Framework Version="cocos2d-x-3.7" />     <Framework Version="cocos2d-x-3.7.1" />     <Framework Version="cocos2d-x-3.8" />     <Framework Version="cocos2d-x-3.8.1" />     <Framework Version="cocos2d-x-3.9" />     <Framework Version="cocos2d-x-3.10" />     <Framework Version="cocos2d-x-3.11" />   </CocosStudio>
  3. 由于cocos2d-x的zip包中不包含预编译库,如果要使用预编译库项目需要运行以下两句脚本生成预编译库项目模版和预编译库:
    cocos2d-x-3.11/tools/cocos2d-console/bin/cocos gen-templates
    cocos2d-x-3.11/tools/cocos2d-console/bin/cocos gen-libs

cocos gen-libs编译过程中有可能会出现android 编译出错的问题,根据帖中提示,修改\tools\simulator\libsimulator\proj.android\Android.mk,在其中添加

ifeq ($(COCOS_SIMULATOR_BUILD),1)
LOCAL_ARM_MODE := arm
endif

之后就可以在Cocos 3.10中使用cocos2d-x 3.11的预编译库项目了。

posted on 2016-07-08 09:49 冬瓜 阅读(3308) 评论(0)  编辑 收藏 引用 所属分类: cocos2dx

只有注册用户登录后才能发表评论。
【推荐】超50万行VC++源码: 大型组态工控、电力仿真CAD与GIS源码库
网站导航: 博客园   IT新闻   BlogJava   知识库   博问   管理